### Property

# WebKit2 Settings:enable-xss-auditor

deprecated: 2.38

#### Declaration

    property enable-xss-auditor: gboolean [ read, write, construct ]

#### Description [src]

Whether to enable the XSS auditor. This feature filters some kinds of reflective XSS attacks on vulnerable web sites.

Type: | `gboolean`
Deprecated since: | 2.38
Please do not use it in newly written code.

Setter method | `webkit_settings_set_enable_xss_auditor()`
Getter method | `webkit_settings_get_enable_xss_auditor()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no